package com.infosys.propertyeditor.ui.formattedtable;


import java.awt.event.ItemListener;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;

import com.infosys.propertyeditor.utils.UIManager;

public abstract class FormattedComboBox extends JComboBox implements ItemListener {
    
    protected Object o;
    
    public FormattedComboBox(Object o, Object[] data, Object selection) {
        super(data);
        this.o = o;
        setFont(UIManager.getFont("Table.font"));
        setBorder(BorderFactory.createEmptyBorder());
        
        setSelectedItem(selection);
        
        addItemListener(this);
    }
    
    public Object getObject() {
    	return o;
    }
    
}