package com.infosys.propertyeditor.ui.formattedtable;

import java.awt.Component;

import javax.swing.JComponent;
import javax.swing.JTable;
import javax.swing.table.TableCellRenderer;

public abstract class FormattedTableRenderer
	implements TableCellRenderer, FormattedTableInterface {

	private JComponent o = null;

	public Component getTableCellRendererComponent(
		JTable table,
		Object value,
		boolean isSelected,
		boolean hasFocus,
		int row,
		int column) {

		o = createComponent(table, value, isSelected, hasFocus, row, column);

		if (isSelected && o != null) {
			o.setBackground(table.getSelectionBackground());
			o.setForeground(table.getSelectionForeground());
		}

		return o;
	}

}
