package com.infosys.propertyeditor;

public class ParameterBoolean extends ParameterSymbol {
    
    public static String[] booleanValues = {"true", "false"};
    
    public ParameterBoolean(String name, String value, boolean editable, String doc){
        super(name, value, booleanValues, editable, doc);
        type = "BOOLEAN";
    }
    
    public String toText(){
        //System.out.println("\t\tadding parameter " + name);
		String newLine = System.getProperty("line.separator");
        return toTextType() + newLine + toTextValue();
    }

}
